KStdGuiItem Class Reference

`#include <kstdguiitem.h>`

## Public Types

enum | BidiMode { UseRTL = 0, IgnoreRTL }
enum | StdItem { Ok =1, Cancel, Yes, No, Discard, Save, DontSave, SaveAs, Apply, Clear, Help, Defaults, Close, Back, Forward, Print, Continue, Open, Quit, AdminMode, Reset, Delete, Insert, Configure, Find, Stop, Add, Remove, Test, Properties, Overwrite }

## Static Public Member Functions

static KGuiItem | guiItem (StdItem ui_enum)
static QString | stdItem (StdItem ui_enum)
static KGuiItem | ok ()
static KGuiItem | cancel ()
static KGuiItem | yes ()
static KGuiItem | no ()
static KGuiItem | insert ()
static KGuiItem | discard ()
static KGuiItem | save ()
static KGuiItem | help ()
static KGuiItem | dontSave ()
static KGuiItem | saveAs ()
static KGuiItem | apply ()
static KGuiItem | clear ()
static KGuiItem | defaults ()
static KGuiItem | close ()
static KGuiItem | print ()
static KGuiItem | properties ()
static KGuiItem | reset ()
static KGuiItem | overwrite ()
static KGuiItem | adminMode ()
static KGuiItem | cont ()
static KGuiItem | del ()
static KGuiItem | open ()
static KGuiItem | back (BidiMode useBidi=IgnoreRTL)
static KGuiItem | forward (BidiMode useBidi=IgnoreRTL)
static KGuiItem | configure ()
static QPair< KGuiItem, KGuiItem > | backAndForward ()
static KGuiItem | quit ()
static KGuiItem | find ()
static KGuiItem | stop ()
static KGuiItem | add ()
static KGuiItem | remove ()
static KGuiItem | test ()

## Detailed Description

Provides a set of standardized KGuiItems.

The various static methods returns standardized KGuiItem's conforming to the KDE UI Standards. Use them instead of creating your own.

Author
  Holger Freyther freyt.nosp@m.her@.nosp@m.kde.o.nosp@m.rg

Definition at line 37 of file kstdguiitem.h.

## Member Enumeration Documentation

enum KStdGuiItem::BidiMode

The back and forward items by default use the RTL settings for Hebrew and Arab countries.

If you want those actions to ignore the RTL value and force 'Western' behavior instead, use the IgnoreRTL value instead.

Definition at line 45 of file kstdguiitem.h.

enum KStdGuiItem::StdItem

Enumerator

Configure

Since
  3.4

Find

Since
  3.4

Stop

Since
  3.4

Add

Since
  3.4

Remove

Since
  3.4

Test

Since
  3.4

Properties

Since
  3.4

Overwrite

Since
  3.5

Definition at line 47 of file kstdguiitem.h.

## Member Function Documentation

KGuiItem KStdGuiItem::add | ( |  | ) |

static

Returns a "add" item.

Since
  3.4

Definition at line 262 of file kstdguiitem.cpp.

KGuiItem KStdGuiItem::adminMode | ( |  | ) |

static

Returns a KGuiItem suiting for cases where code or functionality runs under root privileges.

Used in conjunction with KConfig Modules.

Definition at line 151 of file kstdguiitem.cpp.

KGuiItem KStdGuiItem::back | ( | BidiMode | useBidi = `IgnoreRTL` | ) |

static

Return a GUI item for a 'back' action, like Konqueror's back button.

This GUI item can optionally honor the user's setting for BiDi, so the icon for right-to-left languages (Hebrew and Arab) has the arrow pointing in the opposite direction. By default the arrow points in the Western 'back' direction (i.e. to the left). This is because usually you only want the Bidi aware GUI item if you also want the 'forward' item. Those two are available in the separate backAndForward() method.

Definition at line 184 of file kstdguiitem.cpp.

QPair< KGuiItem, KGuiItem > KStdGuiItem::backAndForward | ( |  | ) |

static

Return both a back and a forward item.

This function always returns items that are aware of the Right-to-Left setting for Arab and Hebrew locales. If you have a reason for wanting the 'Western' back/forward buttons, please use the back() and forward() items instead.

Definition at line 200 of file kstdguiitem.cpp.

KGuiItem KStdGuiItem::configure | ( |  | ) |

static

Returns a "configure" item.

Since
  3.4

Definition at line 247 of file kstdguiitem.cpp.

KGuiItem KStdGuiItem::cont | ( |  | ) |

static

Returns a "continue" item.

The short name is due to "continue" being a reserved word in the C++ language.

Definition at line 212 of file kstdguiitem.cpp.

KGuiItem KStdGuiItem::del | ( |  | ) |

static

Returns a "delete" item.

The short name is due to "delete" being a reserved word in the C++ language.

Since
  3.3

Definition at line 218 of file kstdguiitem.cpp.

KGuiItem KStdGuiItem::find | ( |  | ) |

static

Returns a "find" item.

Since
  3.4

Definition at line 252 of file kstdguiitem.cpp.

KGuiItem KStdGuiItem::forward | ( | BidiMode | useBidi = `IgnoreRTL` | ) |

static

Return a GUI item for a 'forward' action, like Konqueror's forward button.

This GUI item can optionally honor the user's setting for BiDi, so the icon for right-to-left languages (Hebrew and Arab) has the arrow pointing in the opposite direction. By default the arrow points in the Western 'forward' direction (i.e. to the right). This is because usually you only want the Bidi aware GUI item if you also want the 'back' item. Those two are available in the separate backAndForward() method.

Definition at line 192 of file kstdguiitem.cpp.

KGuiItem KStdGuiItem::overwrite | ( |  | ) |

static

Since
  3.5

Definition at line 282 of file kstdguiitem.cpp.

KGuiItem KStdGuiItem::properties | ( |  | ) |

static

Since
  3.4

Definition at line 277 of file kstdguiitem.cpp.

KGuiItem KStdGuiItem::remove | ( |  | ) |

static

Returns a "remove" item.

Since
  3.4

Definition at line 267 of file kstdguiitem.cpp.

KGuiItem KStdGuiItem::stop | ( |  | ) |

static

Returns a "stop" item.

Since
  3.4

Definition at line 257 of file kstdguiitem.cpp.

KGuiItem KStdGuiItem::test | ( |  | ) |

static

Returns a "test" item.

Since
  3.4

Definition at line 272 of file kstdguiitem.cpp.

The documentation for this class was generated from the following files:

- kstdguiitem.h
- kstdguiitem.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys